eclipselgt(1)

NAME
eclipselgt - Logtalk integration script for ECLiPSe

SYNOPSIS
eclipselgt [ -e goal ]

DESCRIPTION
eclipselgt is a Logtalk integration script for ECLiPSe. It automatically loads the ECLiPSe adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the startup directory or in the Logtalk user directory.

OPTIONS

-e  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
ECLiPSe 6.1#143 are a later version is required. This integration script looks for a "eclipse" executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_eclipse.pl
    Prolog file used for loading the necessary files for starting Logtalk using ECLiPSe as the backend compiler.

$LOGTALKHOME/adapters/eclipse.pl
    The ECLiPSe adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The ECLiPSe website at http://www.eclipse-clp.org/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2020 Paulo Moura.